package useOfCustomValidator
{
	import mx.validators.ValidationResult;
	import mx.validators.Validator;
	
	public class LanguageCodeValidator extends Validator
	{
		private var languageCode:RegExp = /^[a-z]{2}([_-][A-Z]{2})?$/;
		
		public function LanguageCodeValidator()
		{
			super();
		}
		
		override protected function doValidation(value:Object):Array
		{
			// Initialise le tableau de résultats
			var results:Array = results = [];
			
			if (languageCode.test(value as String))
				return results;
			else
			{
				// Ajout d'une erreur de validation
				var err:ValidationResult = new ValidationResult(true, "", 
							"", "Please enter a correct Country Code");
				results.push(err);
				return results;
			}
		}
		
	}
}